//
//  ProfileCompletionScreen.swift
//  Sequoia
//
//  Created by Victor on 09/10/2024.
//

import SwiftUI

struct ProfileCompletionScreen: View {
    var body: some View {
        VStack(spacing: 16) {
            VStack(spacing: 32) {
                SQText("Vous n’obtenez pas de réponses positives car votre profil est incomplet.", size: 20, font: .bold)
                    .multilineTextAlignment(.center)
                VStack(spacing: 8) {
                    HStack(spacing: 4) {
                        SQIcon(.circle_exclamation, type: .solid, color: .sqSemanticNegative)
                        SQText("Profil complété à :")
                        SQText("40%", size: 18, font: .bold)
                    }
                    VStack {
                        Rectangle()
                        .foregroundColor(.clear)
                        .frame(width: 123, height: 12)
                        .background(Color.sqNeutral(60))
                        .cornerRadius(50)
                    }
                    .frame(maxWidth: .infinity, alignment: .topLeading)
                    .background(Color.sqNeutral(20))
                    .cornerRadius(12)
                    HStack {
                        SQText("0%", size: 13)
                        Spacer()
                        SQText("100%", size: 13)
                    }
                    VStack(spacing: 8) {
                        SQText("Attractivité de votre profil :")
                        HStack(spacing: 16) {
                            SQText("Faible", size: 18, font: .bold)
                            SQIcon(.chevron_right)
                            SQText("Modérée", size: 18, font: .bold, textColor: .sqNeutral(30))
                            SQIcon(.chevron_right)
                            SQText("Élevée", size: 18, font: .bold, textColor: .sqNeutral(30))
                        }
                    }
                }
                .padding(16)
                .background(Color.white)
                .cornerRadius(8)
                SQText("90%", size: 32, font: .bold)
                SQText("des demandeurs comparent systématiquement les profils des offreurs  pour faire leur choix.")
                    .multilineTextAlignment(.center)
                SQButton("Je complète mon profil", color: .sqNeutral(100), textColor: .white) {

                }
            }
            .padding(16)
            .background(Color.sqNeutral(10))
            .cornerRadius(8)

            SQButton("J’ai compris, mais je souhaite résilier", color: .white, textSize: 13) {

            }
        }
        .sqNavigationBar(title: "Ne partez pas !")
        .padding()
    }
}

#Preview {
    ProfileCompletionScreen()
}
